> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: 49914fa5-495e-4d54-adee-c901129e3a8b
---

# Get subscription definitions

> Get a list of subscription status definitions from the account.

> [accordion] Supported products

> [accordion] Required Scopes


## OpenAPI

````yaml specs/legacy/v3/communication-preferences-subscriptions-v3.json GET /communication-preferences/v3/definitions
openapi: 3.0.1
info:
  title: Communication Preferences Subscriptions
  description: Basepom for all HubSpot Projects
  version: v3
  x-hubspot-product-tier-requirements:
    marketing: ENTERPRISE
    sales: FREE
    service: FREE
    cms: FREE
    commerce: FREE
    crmHub: FREE
    dataHub: FREE
  x-hubspot-related-documentation:
    - name: Subscription Preferences Guide
      url: >-
        https://developers.hubspot.com/docs/guides/api/marketing/subscriptions-preferences
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Advanced
  - name: Basic
paths:
  /communication-preferences/v3/definitions:
    get:
      tags:
        - Basic
      summary: Retrieve all subscription status definitions
      description: Get a list of subscription status definitions from the account.
      operationId: get-/communication-preferences/v3/definitions_getPage
      parameters: []
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionDefinitionsResponse'
        default:
          $ref: '#/components/responses/Error'
          description: ''
      security:
        - oauth2:
            - communication_preferences.read_write
components:
  schemas:
    SubscriptionDefinitionsResponse:
      required:
        - subscriptionDefinitions
      type: object
      properties:
        subscriptionDefinitions:
          type: array
          items:
            $ref: '#/components/schemas/SubscriptionDefinition'
    SubscriptionDefinition:
      required:
        - createdAt
        - description
        - id
        - isActive
        - isDefault
        - isInternal
        - name
        - updatedAt
      type: object
      properties:
        businessUnitId:
          type: integer
          description: The ID of the business unit associated with the subscription.
          format: int64
        communicationMethod:
          type: string
          description: The method of communication for the subscription.
        createdAt:
          type: string
          description: The date and time when the subscription was created.
          format: date-time
        description:
          type: string
          description: A description of the subscription.
        id:
          type: string
          description: The unique identifier for the subscription.
        isActive:
          type: boolean
          description: Indicates whether the subscription is active.
        isDefault:
          type: boolean
          description: Indicates whether the subscription is the default option.
        isInternal:
          type: boolean
          description: Indicates whether the subscription is internal.
        name:
          type: string
          description: The name of the subscription.
        purpose:
          type: string
          description: The purpose of the subscription.
        subscriptionTranslations:
          type: array
          description: A list of translations associated with the subscription.
          items:
            $ref: '#/components/schemas/PublicSubscriptionTranslation'
        updatedAt:
          type: string
          description: The date and time when the subscription was last updated.
          format: date-time
    Error:
      required:
        - category
        - correlationId
        - message
      type: object
      properties:
        category:
          type: string
          description: The error category
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: >-
            {invalidPropertyName=[propertyValue], missingScopes=[scope1,
            scope2]}
        correlationId:
          type: string
          description: >-
            A unique identifier for the request. Include this value with any
            error reports or support tickets
          format: uuid
          example: aeb5f871-7f07-4993-9211-075dc63e7cbf
        errors:
          type: array
          description: further information about the error
          items:
            $ref: '#/components/schemas/ErrorDetail'
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of link names to associated URIs containing documentation
            about the error or recommended remediation steps
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
          example: An error occurred
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents an error response returned by the API when an operation
        fails. This component is used in various endpoints to provide detailed
        information about the error encountered.
      example:
        message: Invalid input (details will vary based on the error)
        correlationId: aeb5f871-7f07-4993-9211-075dc63e7cbf
        category: VALIDATION_ERROR
        links:
          knowledge-base: https://www.hubspot.com/products/service/knowledge-base
    PublicSubscriptionTranslation:
      required:
        - createdAt
        - description
        - languageCode
        - name
        - subscriptionId
        - updatedAt
      type: object
      properties:
        createdAt:
          type: integer
          description: >-
            The timestamp indicating when the subscription translation was
            created.
          format: int64
        description:
          type: string
          description: A text description of the subscription translation.
        languageCode:
          type: string
          description: The code representing the language of the subscription translation.
        name:
          type: string
          description: The name of the subscription translation.
        subscriptionId:
          type: integer
          description: >-
            The unique identifier for the subscription associated with the
            translation.
          format: int64
        updatedAt:
          type: integer
          description: >-
            The timestamp indicating when the subscription translation was last
            updated.
          format: int64
    ErrorDetail:
      required:
        - message
      type: object
      properties:
        code:
          type: string
          description: The status code associated with the error detail
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: '{missingScopes=[scope1, scope2]}'
        in:
          type: string
          description: The name of the field or parameter in which the error was found.
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents detailed information about an error that occurred in the API.
        This component is used to provide additional context and specifics about
        errors, typically as part of an error response.
  responses:
    Error:
      description: An error occurred.
      content:
        '*/*':
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://app.hubspot.com/oauth/authorize
          tokenUrl: https://api.hubapi.com/oauth/v1/token
          scopes:
            communication_preferences.read_write: ''

````